<?php
/**
 * Featured Classes options.
 *
 * @package Universal Preschool
 */

$default = universal_preschool_get_default_theme_options();

// Featured Featured Classes Section
$wp_customize->add_section( 'section_featured_classes',
	array(
	'title'      => __( 'Our Classes', 'universal-preschool' ),
	'priority'   => 100,
	'capability' => 'edit_theme_options',
	'panel'      => 'home_page_panel',
	)
);

// Enable Featured Classes Section
$wp_customize->add_setting('theme_options[enable_featured_classes_section]', 
	array(
	'default' 			=> $default['enable_featured_classes_section'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'universal_preschool_sanitize_checkbox'
	)
);

$wp_customize->add_control('theme_options[enable_featured_classes_section]', 
	array(		
	'label' 	=> __('Enable Featured Classes Section', 'universal-preschool'),
	'section' 	=> 'section_featured_classes',
	'settings'  => 'theme_options[enable_featured_classes_section]',
	'type' 		=> 'checkbox',	
	)
);

// Section Title
$wp_customize->add_setting('theme_options[featured_classes_section_title]', 
	array(
	'default'           => $default['featured_classes_section_title'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'sanitize_text_field'
	)
);

$wp_customize->add_control('theme_options[featured_classes_section_title]', 
	array(
	'label'       => __('Section Title', 'universal-preschool'),
	'section'     => 'section_featured_classes',   
	'settings'    => 'theme_options[featured_classes_section_title]',	
	'active_callback' => 'universal_preschool_featured_classes_active',		
	'type'        => 'text'
	)
);

// Number of items
$wp_customize->add_setting('theme_options[number_of_featured_classes_items]', 
	array(
	'default' 			=> $default['number_of_featured_classes_items'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'universal_preschool_sanitize_number_range'
	)
);

$wp_customize->add_control('theme_options[number_of_featured_classes_items]', 
	array(
	'label'       => __('Number Of Items', 'universal-preschool'),
	'description' => __('Save & Refresh the customizer to see its effect. Maximum is 50.', 'universal-preschool'),
	'section'     => 'section_featured_classes',   
	'settings'    => 'theme_options[number_of_featured_classes_items]',		
	'type'        => 'number',
	'active_callback' => 'universal_preschool_featured_classes_active',
	'input_attrs' => array(
			'min'	=> 1,
			'max'	=> 50,
			'step'	=> 1,
		),
	)
);

$wp_customize->add_setting('theme_options[featured_classes_content_type]', 
	array(
	'default' 			=> $default['featured_classes_content_type'],
	'type'              => 'theme_mod',
	'capability'        => 'edit_theme_options',	
	'sanitize_callback' => 'universal_preschool_sanitize_select'
	)
);

$wp_customize->add_control('theme_options[featured_classes_content_type]', 
	array(
	'label'       => __('Content Type', 'universal-preschool'),
	'section'     => 'section_featured_classes',   
	'settings'    => 'theme_options[featured_classes_content_type]',		
	'type'        => 'select',
	'active_callback' => 'universal_preschool_featured_classes_active',
	'choices'	  => array(
			'featured_classes_page'	  => __('Page','universal-preschool'),
			'featured_classes_post'	  => __('Post','universal-preschool'),
		),
	)
);

$number_of_featured_classes_items = universal_preschool_get_option( 'number_of_featured_classes_items' );

for( $i=1; $i<=$number_of_featured_classes_items; $i++ ) {

	// Page
	$wp_customize->add_setting('theme_options[featured_classes_page_'.$i.']', 
		array(
		'type'              => 'theme_mod',
		'capability'        => 'edit_theme_options',	
		'sanitize_callback' => 'universal_preschool_dropdown_pages'
		)
	);

	$wp_customize->add_control('theme_options[featured_classes_page_'.$i.']', 
		array(
		'label'       => sprintf( __('Select Page #%1$s', 'universal-preschool'), $i),
		'section'     => 'section_featured_classes',   
		'settings'    => 'theme_options[featured_classes_page_'.$i.']',		
		'type'        => 'dropdown-pages',
		'active_callback' => 'universal_preschool_featured_classes_page',
		)
	);

	// Posts
	$wp_customize->add_setting('theme_options[featured_classes_post_'.$i.']', 
		array(
		'type'              => 'theme_mod',
		'capability'        => 'edit_theme_options',	
		'sanitize_callback' => 'universal_preschool_dropdown_pages'
		)
	);

	$wp_customize->add_control('theme_options[featured_classes_post_'.$i.']', 
		array(
		'label'       => sprintf( __('Select Post #%1$s', 'universal-preschool'), $i),
		'section'     => 'section_featured_classes',   
		'settings'    => 'theme_options[featured_classes_post_'.$i.']',		
		'type'        => 'select',
		'choices'	  => universal_preschool_dropdown_posts(),
		'active_callback' => 'universal_preschool_featured_classes_post',
		)
	);
}